设置 Google Pay API

准备工作

开始之前,请先检查以下前提条件:

配置您的项目

如果您还没有 Android Studio,请下载并安装 Android Studio

添加依赖项

Google Pay API 是 Google Play 服务的一部分,因此您只需要导入 Google Play 服务库即可取得所有需要的组件。或者,您也可以选择您想自行编译的 API。

要导入整个 Google Play 服务库,请参阅设置 Google Play 服务

如果您仅希望选择性地编译您需要的 API,请打开应用模块中的 build.gradle 文件,并将以下内容添加到依赖项区块中:

dependencies {
    implementation 'com.google.android.gms:play-services-wallet:16.0.0'
    implementation 'com.android.support:appcompat-v7:24.1.1'
}

上面提供的每个版本都是最新版 Google Pay API 库所需的最低版本。您可以为您的应用选择版本较高的依赖项。如需了解最新的 Google Pay API 版本信息,请参阅设置 Google Play 服务。如需了解最新的支持库信息,请参阅支持库设置

修改您的清单

要在您的应用中启用 Google Pay,您需要将以下 Google Pay API 元数据元素添加到项目的 AndroidManifest.xml 文件的 <application> 元素中。

<meta-data
    android:name="com.google.android.gms.wallet.api.enabled"
    android:value="true" />